? -dup
? cvschk
? dondiff
? kdelibs.diff
? up
? admin/foo.pl
? admin/mychanges
? kdecore/h
? kdefx/kimageeffect.cpp.bk
? kioslave/data/Makefile.in
Index: configure.in.in
===================================================================
RCS file: /home/kde/kdelibs/configure.in.in,v
retrieving revision 1.105
diff -d -u -p -r1.105 configure.in.in
--- configure.in.in	13 Feb 2003 19:15:09 -0000	1.105
+++ configure.in.in	5 Mar 2003 05:56:39 -0000
@@ -43,7 +43,7 @@ dnl Checks for header files.
 KDE_CHECK_STL
 AC_HEADER_DIRENT
 AC_HEADER_STDC
-AC_CHECK_HEADERS(sys/param.h sys/mman.h sys/time.h sysent.h strings.h sys/stat.h sys/select.h paths.h malloc.h limits.h sys/soundcard.h dlfcn.h termios.h)
+AC_CHECK_HEADERS(alloc.h sys/param.h sys/mman.h sys/time.h sysent.h strings.h sys/stat.h sys/select.h paths.h malloc.h limits.h sys/soundcard.h dlfcn.h termios.h)
 
 DCOPIDL2CPP="compiled"
 DCOPIDL="compiled"
Index: admin/acinclude.m4.in
===================================================================
RCS file: /home/kde/kde-common/admin/acinclude.m4.in,v
retrieving revision 2.344
diff -d -u -p -r2.344 acinclude.m4.in
--- admin/acinclude.m4.in	1 Mar 2003 16:29:48 -0000	2.344
+++ admin/acinclude.m4.in	5 Mar 2003 05:56:47 -0000
@@ -817,7 +817,14 @@ AC_ARG_ENABLE(
   kde_use_qt_emb_palm=no
 )
 
-if test "$kde_use_qt_emb" = "no"; then
+AC_ARG_ENABLE(
+  mac,
+  [  --enable-mac       link to Qt/Mac (don't use X)],
+  kde_use_qt_mac=$enableval,
+  kde_use_qt_mac=no
+)
+
+if test "$kde_use_qt_emb" = "no" && test "$kde_use_qt_mac" = "no"; then
 
 AC_MSG_CHECKING(for X)
 AC_LANG_SAVE
@@ -976,7 +983,7 @@ fi
 LIB_XEXT="-lXext"
 QTE_NORTTI=""
 
-else
+elif test "$kde_use_qt_emb" = "yes"; then
   dnl We're using QT Embedded
   CPPFLAGS=-DQWS
   CXXFLAGS="$CXXFLAGS -fno-rtti"
@@ -996,6 +1003,26 @@ else
   AC_SUBST(X_LDFLAGS)
   AC_SUBST(x_includes)
   AC_SUBST(x_libraries)
+elif test "$kde_use_qt_mac" = "yes"; then
+  dnl We're using QT/Mac (I use QT_MAC so that qglobal.h doesn't *have* to
+  dnl be included to get the information) --Sam
+  CXXFLAGS="$CXXFLAGS -DQT_MAC -no-cpp-precomp"
+  CFLAGS="$CFLAGS -DQT_MAC -no-cpp-precomp"
+  X_PRE_LIBS=""
+  LIB_X11=""
+  LIB_XEXT=""
+  LIBSM=""
+  X_INCLUDES=""
+  X_LDFLAGS=""
+  x_includes=""
+  x_libraries=""
+  AC_SUBST(X_PRE_LIBS)
+  AC_SUBST(LIB_X11)
+  AC_SUBST(LIBSM)
+  AC_SUBST(X_INCLUDES)
+  AC_SUBST(X_LDFLAGS)
+  AC_SUBST(x_includes)
+  AC_SUBST(x_libraries)
 fi
 AC_SUBST(QTE_NORTTI)
 AC_SUBST(LIB_XEXT)
@@ -1157,7 +1184,7 @@ ac_libs_safe="$LIBS"
 
 CXXFLAGS="$CXXFLAGS -I$qt_includes"
 LDFLAGS="$LDFLAGS $X_LDFLAGS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$LIBQT -lXext -lX11 $LIBSOCKET"
 else
 LIBS="$LIBQT $LIBSOCKET"
@@ -1324,7 +1351,7 @@ fi
 
 AC_MSG_CHECKING([for Qt])
 
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBQT="$LIBQT $X_PRE_LIBS -lXext -lX11 $LIBSM $LIBSOCKET"
 fi
 ac_qt_includes=NO ac_qt_libraries=NO ac_qt_bindir=NO
@@ -1388,6 +1415,12 @@ else
     if test -n "`$try 2> /dev/null`"; then qt_libdir=$dir; break; else echo "tried $dir" >&AC_FD_CC ; fi
   done
 fi
+for a in $qt_libdir/lib`echo ${kde_int_qt} | sed 's,^-l,,'`_incremental.*; do
+  if test -e "$a"; then
+    LIBQT="$LIBQT ${kde_int_qt}_incremental"
+    break
+  fi
+done
 
 ac_qt_libraries="$qt_libdir"
 
@@ -1485,12 +1518,18 @@ AC_PATH_QT_MOC_UIC
 
 KDE_CHECK_QT_JPEG
 
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIB_QT="$kde_int_qt $LIBJPEG_QT "'$(LIBPNG) -lXext $(LIB_X11) $(LIBSM)'
 else
 LIB_QT="$kde_int_qt $LIBJPEG_QT "'$(LIBPNG)'
 fi
 test -z "$KDE_MT_LIBS" || LIB_QT="$LIB_QT $KDE_MT_LIBS"
+for a in $qt_libdir/lib`echo ${kde_int_qt} | sed 's,^-l,,'`_incremental.*; do
+  if test -e "$a"; then
+     LIB_QT="$LIB_QT ${kde_int_qt}_incremental"
+     break
+  fi
+done
 
 AC_SUBST(LIB_QT)
 AC_SUBST(LIB_QPE)
@@ -2265,7 +2304,7 @@ AC_DEFUN(AC_FIND_GIF,
    [AC_MSG_CHECKING([for giflib])
 AC_CACHE_VAL(ac_cv_lib_gif,
 [ac_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$all_libraries -lgif -lX11 $LIBSOCKET"
 else
 LIBS="$all_libraries -lgif"
@@ -2469,7 +2508,7 @@ AC_CACHE_VAL(kde_cv_libtiff_$1,
 AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 kde_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$all_libraries $USER_LDFLAGS -l$1 $LIBJPEG $LIBZ -lX11 $LIBSOCKET -lm"
 else
 LIBS="$all_libraries $USER_LDFLAGS -l$1 $LIBJPEG $LIBZ -lm"
@@ -2528,7 +2567,7 @@ AC_MSG_CHECKING([for libpng])
 AC_CACHE_VAL(ac_cv_lib_png,
 [
 kde_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$LIBS $all_libraries $USER_LDFLAGS -lpng $LIBZ -lm -lX11 $LIBSOCKET"
 else
 LIBS="$LIBS $all_libraries $USER_LDFLAGS -lpng $LIBZ -lm"
@@ -3302,7 +3341,7 @@ AC_DEFUN(AC_HAVE_XPM,
     AC_LANG_C
     ac_save_ldflags="$LDFLAGS"
     ac_save_cflags="$CFLAGS"
-    if test "x$kde_use_qt_emb" != "xyes"; then
+    if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
       LDFLAGS="$LDFLAGS $X_LDFLAGS $USER_LDFLAGS $LDFLAGS $XPM_LDFLAGS $all_libraries -lXpm -lX11 -lXext $LIBZ $LIBSOCKET"
     else
       LDFLAGS="$LDFLAGS $X_LDFLAGS $USER_LDFLAGS $LDFLAGS $XPM_LDFLAGS $all_libraries -lXpm $LIBZ $LIBSOCKET"
@@ -3358,7 +3397,7 @@ AC_DEFUN(AC_HAVE_DPMS,
    dnl 'yes' means DPMS_LIB="", '-lXdpms' means DPMS_LIB="-lXdpms".
    AC_CACHE_VAL(ac_cv_have_dpms,
    [
-    if test "x$kde_use_qt_emb" = "xyes"; then
+    if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
       AC_MSG_RESULT(no)
       ac_cv_have_dpms="no"
     else
@@ -3451,7 +3490,7 @@ AC_DEFUN(AC_HAVE_GL,
     ac_save_ldflags="$LDFLAGS"
     ac_save_cxxflags="$CXXFLAGS"
     LDFLAGS="$LDFLAGS $GL_LDFLAGS $X_LDFLAGS $all_libraries -lMesaGL -lMesaGLU"
-    test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
+    test "x$kde_use_qt_mac" != xyes && test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
     LDFLAGS="$LDFLAGS $LIB_XEXT -lm $LIBSOCKET"
     CXXFLAGS="$CFLAGS $X_INCLUDES"
     test -n "$GL_INCLUDE" && CFLAGS="-I$GL_INCLUDE $CFLAGS"
@@ -3461,7 +3500,7 @@ AC_DEFUN(AC_HAVE_GL,
 	ac_cv_have_gl="mesa", ac_cv_have_gl="no")
     if test "x$ac_cv_have_gl" = "xno"; then
       LDFLAGS="$ac_save_ldflags $X_LDFLAGS $GL_LDFLAGS $all_libraries -lGLU -lGL"
-      test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
+      test "x$kde_use_qt_mac" != xyes && test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
       LDFLAGS="$LDFLAGS $LIB_XEXT -lm $LIBSOCKET"
       CXXFLAGS="$ac_save_cflags $X_INCLUDES"
       test -n "$GL_INCLUDE" && CFLAGS="-I$GL_INCLUDE $CFLAGS"
Index: admin/libtool.m4.in
===================================================================
RCS file: /home/kde/kde-common/admin/libtool.m4.in,v
retrieving revision 1.76
diff -d -u -p -r1.76 libtool.m4.in
--- admin/libtool.m4.in	11 Feb 2003 08:22:01 -0000	1.76
+++ admin/libtool.m4.in	5 Mar 2003 05:56:57 -0000
@@ -609,6 +609,12 @@ AC_CACHE_VAL([lt_cv_sys_max_cmd_len], [d
     lt_cv_sys_max_cmd_len=-1;
     ;;
 
+  darwin*)
+    # this should be enough... the length test freaks out some versions
+    # of OSX's `expr`
+    lt_cv_sys_max_cmd_len=16384;
+    ;;
+
   *)
     # If test is not a shell built-in, we'll probably end up computing a
     # maximum length that is only half of the actual maximum length, but
@@ -1138,10 +1144,17 @@ darwin* | rhapsody*)
   # FIXME: Relying on posixy $() will cause problems for
   #        cross-compilation, but unfortunately the echo tests do not
   #        yet detect zsh echo's removal of \ escapes.
-  library_names_spec='${libname}${release}${versuffix}.$(test .$module = .yes && echo so || echo dylib) ${libname}${release}${major}.$(test .$module = .yes && echo so || echo dylib) ${libname}.$(test .$module = .yes && echo so || echo dylib)'
+  library_names_spec='${libname}${release}${versuffix}$(test .$module = .yes && echo .so).dylib $(test .$module != .yes && echo ${libname}${release}${major}.dylib ${libname}.dylib)'
   soname_spec='${libname}${release}${major}.$(test .$module = .yes && echo so || echo dylib)'
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
+  postinstall_cmds='dlpath=`bash 2>&1 -c '\''. $dir/${file}i;echo \$dlname'\''`~
+    dldir=$destdir/`dirname \$dlpath`~
+    test -d \$dldir || mkdir -p \$dldir~
+    echo \$dlname | grep .so$ && $install_prog .libs/$dlname \$dldir/$dlname || true'
+  postuninstall_cmds='dldll=`bash 2>&1 -c '\''. $file; echo \$dlname'\''`~
+    dlpath=$dir/\$dldll~
+     echo \$dlname | grep .so$ && $rm \$dlpath || true'
   ;;
 
 dgux*)
@@ -1909,7 +1922,8 @@ darwin* | rhapsody*)
     lt_cv_file_magic_test_file=`/System/Library/Frameworks/System.framework/System`
     ;;
   *) # Darwin 1.3 on
-    lt_cv_file_magic_test_file='/usr/lib/libSystem.dylib'
+    lt_cv_deplibs_check_method='pass_all'
+       lt_cv_file_magic_cmd=''
     ;;
   esac
   ;;
@@ -2561,6 +2575,27 @@ case $host_os in
 	;;
     esac
     ;;
+  darwin*)
+    shared_flag='-dynamiclib'
+    CCT=""
+    for ENTRY in `what /usr/bin/ld`; do 
+      case $ENTRY in
+        PROJECT:*)
+          CCT=`expr "$ENTRY" : 'PROJECT:cctools-\([[:digit:]]*\)'`
+          ;;
+      esac
+    done
+
+    test -n "$CCT" || CCT=0
+    if true || test "$CCT" -ge 446; then
+      export MACOSX_DEPLOYMENT_TARGET=10.2
+      _LT_AC_TAGVAR(archive_cmds, $1)='$(test .$module = .yes && echo $CC -dynamiclib -single_module -undefined suppress -flat_namespace -o ${lib} $libobjs || echo true) && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib -single_module) $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $(test .$module = .yes && echo .libs/$soname || echo $lib ) $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    else
+      # this may cause problems with some libraries!
+      _LT_AC_TAGVAR(archive_cmds, $1)='$(test .$module = .yes && echo $CC -dynamiclib -undefined suppress -flat_namespace -o ${lib} $libobjs || echo true) && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $(test .$module = .yes && echo .libs/$soname || echo $lib ) $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    fi
+    output_verbose_link_cmd='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $CFLAGS -v conftest.$objext 2>&1 | egrep "\-L"'
+    ;;
   dgux*)
     case $cc_basename in
       ec++)
@@ -4751,7 +4786,9 @@ EOF
 	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
 	;;
       *) # Darwin 1.3 on
-	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+	#_LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+        # testing with twolevel namespaces
+	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-multiply_defined suppress'
 	;;
       esac
 
@@ -4759,7 +4796,16 @@ EOF
       #        cross-compilation, but unfortunately the echo tests do not
       #        yet detect zsh echo's removal of \ escapes.  Also zsh mangles
       #	       `"' quotes if we put them in here... so don't!
-      _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linker_flags -install_name $rpath/$soname $verstring'
+      BUILD=`gcc -v 2>&1 | grep 'GCC version'`
+      BUILD=`expr "$BUILD" : '.*GCC version \(.*\), based.*'`
+      test -n "$BUILD" || BUILD=0
+      if test "$BUILD" -ge 1173; then
+        export MACOSX_DEPLOYMENT_TARGET=10.2
+        _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib -single_module) $allow_undefined_flag -o $lib $libobjs $deplibs $linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+      else
+        # this may cause problems with some libraries!
+        _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs $linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+      fi
       # We need to add '_' to the symbols in $export_symbols first
       #_LT_AC_TAGVAR(archive_expsym_cmds, $1)="$_LT_AC_TAGVAR(archive_cmds, $1)"' && strip -s $export_symbols'
       _LT_AC_TAGVAR(hardcode_direct, $1)=yes
Index: arts/kde/kvideowidget.cpp
===================================================================
RCS file: /home/kde/kdelibs/arts/kde/kvideowidget.cpp,v
retrieving revision 1.14
diff -d -u -p -r1.14 kvideowidget.cpp
--- arts/kde/kvideowidget.cpp	5 Feb 2003 19:17:01 -0000	1.14
+++ arts/kde/kvideowidget.cpp	5 Mar 2003 05:57:06 -0000
@@ -18,8 +18,10 @@
 #endif
 #include <qaccel.h>
 #include <qcursor.h>
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
+#endif
 #include <kaction.h>
 #include <klocale.h>
 #include "kvideowidget.h"
@@ -32,7 +34,9 @@ public:
 
 protected:
     virtual void windowActivationChange( bool );
+#ifdef Q_WS_X11
     virtual bool x11Event( XEvent *event );
+#endif
 
 private:
     KVideoWidget *videoWidget;
@@ -54,6 +58,7 @@ void KFullscreenVideoWidget::windowActiv
     }
 }
 
+#ifdef Q_WS_X11
 bool KFullscreenVideoWidget::x11Event( XEvent *event )
 {
     if (event->type == ClientMessage &&
@@ -64,6 +69,7 @@ bool KFullscreenVideoWidget::x11Event( X
     }
     return false;
 }
+#endif
 
 KVideoWidget::KVideoWidget( KXMLGUIClient *clientParent, QWidget *parent, const char *name, WFlags f )
     : QWidget( parent, name, f )
@@ -186,6 +192,7 @@ void KVideoWidget::embed( Arts::VideoPla
 
 QImage KVideoWidget::snapshot( Arts::VideoPlayObject vpo )
 {
+#ifdef Q_WS_X11
     Window root;
     Pixmap pixmap;
     XImage *xImage;
@@ -214,6 +221,10 @@ QImage KVideoWidget::snapshot( Arts::Vid
     XFreePixmap( qt_xdisplay(), pixmap );
 
     return qImage;
+#else
+    //FIXME: Implement (for QWS & MAC)
+    return QImage();
+#endif
 }
 
 bool KVideoWidget::isEmbedded()
@@ -337,6 +348,7 @@ void KVideoWidget::resizeNotify( int wid
     updateGeometry();
 }
 
+#ifdef Q_WS_X11
 bool KVideoWidget::x11Event( XEvent *event )
 {
     if (event->type == ClientMessage &&
@@ -347,6 +359,7 @@ bool KVideoWidget::x11Event( XEvent *eve
     }
     return false;
 }
+#endif
 
 void KVideoWidget::fullscreenActivated()
 {
Index: arts/kde/kvideowidget.h
===================================================================
RCS file: /home/kde/kdelibs/arts/kde/kvideowidget.h,v
retrieving revision 1.7
diff -d -u -p -r1.7 kvideowidget.h
--- arts/kde/kvideowidget.h	6 Sep 2002 17:47:15 -0000	1.7
+++ arts/kde/kvideowidget.h	5 Mar 2003 05:57:06 -0000
@@ -43,7 +43,9 @@ public:
 protected:
     virtual void mousePressEvent( QMouseEvent *event );
     virtual void resizeEvent( QResizeEvent *event );
+#ifdef Q_WS_X11
     virtual bool x11Event( XEvent *event );
+#endif
 
 public slots:
     void setFullscreen();
Index: dcop/dcopclient.cpp
===================================================================
RCS file: /home/kde/kdelibs/dcop/dcopclient.cpp,v
retrieving revision 1.156
diff -d -u -p -r1.156 dcopclient.cpp
--- dcop/dcopclient.cpp	11 Feb 2003 15:55:56 -0000	1.156
+++ dcop/dcopclient.cpp	5 Mar 2003 05:57:08 -0000
@@ -191,6 +191,8 @@ static QCString dcopServerFile(const QCS
    }
 #ifdef Q_WS_X11
    QCString disp = getenv("DISPLAY");
+#elif defined(Q_WS_MAC)
+   QCString disp; //wtf? ##Sam
 #elif defined(Q_WS_QWS)
    QCString disp = getenv("QWS_DISPLAY");
 #endif
Index: dcop/dcopserver_shutdown.c
===================================================================
RCS file: /home/kde/kdelibs/dcop/dcopserver_shutdown.c,v
retrieving revision 1.8
diff -d -u -p -r1.8 dcopserver_shutdown.c
--- dcop/dcopserver_shutdown.c	12 Dec 2002 14:23:30 -0000	1.8
+++ dcop/dcopserver_shutdown.c	5 Mar 2003 05:57:09 -0000
@@ -52,10 +52,12 @@ static char *getDisplay()
  but we don't want to include that here) (Simon)
 #ifdef Q_WS_X11
  */
-#if !defined(QWS)
-   display = getenv("DISPLAY");
-#else
+#if defined(QWS)
    display = getenv("QWS_DISPLAY");
+#elif defined(QT_MAC)
+   display = NULL; //Wtf? ##Sam
+#else
+   display = getenv("DISPLAY");
 #endif
    if (!display || !*display)
    {
Index: dcop/KDE-ICE/ICElibint.h
===================================================================
RCS file: /home/kde/kdelibs/dcop/KDE-ICE/ICElibint.h,v
retrieving revision 1.5
diff -d -u -p -r1.5 ICElibint.h
--- dcop/KDE-ICE/ICElibint.h	28 Jan 2002 09:59:17 -0000	1.5
+++ dcop/KDE-ICE/ICElibint.h	5 Mar 2003 05:57:09 -0000
@@ -26,13 +26,13 @@ Author: Ralph Mor, X Consortium
 #ifndef _ICELIBINT_H_
 #define _ICELIBINT_H_
 
-#ifndef QWS
+#if defined( QWS ) || defined( QT_MAC )
+#define _SIZEOF(x) sz_##x
+#define SIZEOF(x) _SIZEOF(x)
+#else
 #include <X11/Xos.h>
 #include <X11/Xfuncs.h>
 #include <X11/Xmd.h>
-#else
-#define _SIZEOF(x) sz_##x
-#define SIZEOF(x) _SIZEOF(x)
 #endif
 #include <KDE-ICE/ICEproto.h>
 #include <KDE-ICE/ICEconn.h>
Index: dcop/KDE-ICE/ICEproto.h
===================================================================
RCS file: /home/kde/kdelibs/dcop/KDE-ICE/ICEproto.h,v
retrieving revision 1.5
diff -d -u -p -r1.5 ICEproto.h
--- dcop/KDE-ICE/ICEproto.h	28 Jan 2002 09:59:17 -0000	1.5
+++ dcop/KDE-ICE/ICEproto.h	5 Mar 2003 05:57:10 -0000
@@ -26,9 +26,7 @@ Author: Ralph Mor, X Consortium
 #ifndef _ICEPROTO_H_
 #define _ICEPROTO_H_
 
-#ifndef QWS
-#include <X11/Xmd.h>
-#else
+#if defined( QWS ) || defined( QT_MAC )
 #if defined(__alpha__) || defined(__ia64__) || defined(__s390x__)
 typedef unsigned int CARD32;
 #else
@@ -39,6 +37,8 @@ typedef unsigned char CARD8;
 #define B32 :32
 #define B16 :16
 #include <unistd.h>
+#else
+#include <X11/Xmd.h>
 #endif
 
 typedef struct {
Index: dcop/KDE-ICE/Xtrans.h
===================================================================
RCS file: /home/kde/kdelibs/dcop/KDE-ICE/Xtrans.h,v
retrieving revision 1.4
diff -d -u -p -r1.4 Xtrans.h
--- dcop/KDE-ICE/Xtrans.h	28 Jan 2002 09:59:17 -0000	1.4
+++ dcop/KDE-ICE/Xtrans.h	5 Mar 2003 05:57:13 -0000
@@ -50,12 +50,12 @@ from The Open Group.
 #ifndef _XTRANS_H_
 #define _XTRANS_H_
 
-#ifndef QWS
-#include <X11/Xfuncproto.h>
-#include <X11/Xos.h>
-#else
+#if defined( QWS ) || defined( QT_MAC )
 #include <KDE-ICE/Xfuncproto.h>
 #include <fcntl.h>
+#else
+#include <X11/Xfuncproto.h>
+#include <X11/Xos.h>
 #endif
 
 /*
Index: kabc/Makefile.am
===================================================================
RCS file: /home/kde/kdelibs/kabc/Makefile.am,v
retrieving revision 1.75
diff -d -u -p -r1.75 Makefile.am
--- kabc/Makefile.am	19 Feb 2003 19:46:35 -0000	1.75
+++ kabc/Makefile.am	5 Mar 2003 05:57:14 -0000
@@ -16,7 +16,8 @@ COMPILE_FIRST = addressee.h
 
 lib_LTLIBRARIES   = libkabc.la
 libkabc_la_COMPILE_FIRST = addressee.h
-libkabc_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 3:0:2 -module
+#why is this a -module? We cannot do that on Mac OS X
+libkabc_la_LDFLAGS = $(all_libraries) -no-undefined -version-info 3:0:2
 libkabc_la_LIBADD  = vcard/libvcard.la ../kdeui/libkdeui.la ../kio/libkio.la \
   ../kresources/libkderesources.la
 
Index: kate/part/katecodecompletion.cpp
===================================================================
RCS file: /home/kde/kdelibs/kate/part/katecodecompletion.cpp,v
retrieving revision 1.12
diff -d -u -p -r1.12 katecodecompletion.cpp
--- kate/part/katecodecompletion.cpp	28 Feb 2003 05:43:06 -0000	1.12
+++ kate/part/katecodecompletion.cpp	5 Mar 2003 05:57:16 -0000
@@ -297,7 +297,7 @@ void KateCodeCompletion::showComment()
 
   QPoint rightPoint = m_completionPopup->mapToGlobal(QPoint(m_completionPopup->width(),0));
   QPoint leftPoint = m_completionPopup->mapToGlobal(QPoint(0,0));
-  QRect screen = QApplication::desktop()->screenGeometry( m_commentLabel->x11Screen() );
+  QRect screen = QApplication::desktop()->screenGeometry( QApplication::desktop()->screenNumber(m_commentLabel));
   QPoint finalPoint;
   if (rightPoint.x()+m_commentLabel->width() > screen.x() + screen.width())
     finalPoint.setX(leftPoint.x()-m_commentLabel->width());
Index: kate/part/katedocument.cpp
===================================================================
RCS file: /home/kde/kdelibs/kate/part/katedocument.cpp,v
retrieving revision 1.429
diff -d -u -p -r1.429 katedocument.cpp
--- kate/part/katedocument.cpp	28 Feb 2003 04:12:55 -0000	1.429
+++ kate/part/katedocument.cpp	5 Mar 2003 05:57:21 -0000
@@ -1817,15 +1817,15 @@ void KateDocument::writeSessionConfig(KC
 
 void KateDocument::configDialog()
 {
-  KWin kwin;
-
   KDialogBase *kd = new KDialogBase(KDialogBase::IconList,
                                     i18n("Configure"),
                                     KDialogBase::Ok | KDialogBase::Cancel |
                                     KDialogBase::Help ,
                                     KDialogBase::Ok, kapp->mainWidget());
 
-  kwin.setIcons(kd->winId(), kapp->icon(), kapp->miniIcon());
+#ifdef Q_WS_X11
+  KWin::setIcons(kd->winId(), kapp->icon(), kapp->miniIcon());
+#endif
 
   QPtrList<KTextEditor::ConfigPage> editorPages;
 
Index: kdecore/kaccel.cpp
===================================================================
RCS file: /home/kde/kdelibs/kdecore/kaccel.cpp,v
retrieving revision 1.139
diff -d -u -p -r1.139 kaccel.cpp
--- kdecore/kaccel.cpp	8 Jan 2003 21:44:15 -0000	1.139
+++ kdecore/kaccel.cpp	5 Mar 2003 05:57:22 -0000
@@ -306,7 +306,7 @@ bool KAccelPrivate::eventFilter( QObject
 		int keyCodeQt = key.keyCodeQt();
 		QMap<int, int>::iterator it = m_mapIDToKey.begin();
 		for( ; it != m_mapIDToKey.end(); ++it ) {
-			if( (*it) == keyCodeQt ) {
+			if( !key.isNull() && (*it) == keyCodeQt ) {
 				int nID = it.key();
 				kdDebug(125) << "shortcut found!" << endl;
 				if( m_mapIDToAction.contains( nID ) ) {
Index: kdecore/kapplication.cpp
===================================================================
RCS file: /home/kde/kdelibs/kdecore/kapplication.cpp,v
retrieving revision 1.571
diff -d -u -p -r1.571 kapplication.cpp
--- kdecore/kapplication.cpp	24 Feb 2003 05:26:26 -0000	1.571
+++ kdecore/kapplication.cpp	5 Mar 2003 05:57:26 -0000
@@ -95,7 +95,7 @@
 #include <errno.h>
 #include <string.h>
 #include <netdb.h>
-#ifndef Q_WS_QWS //FIXME(E): NetWM should talk to QWS...
+#ifdef Q_WS_X11 //FIXME(E): NetWM should talk to QWS & MAC...
 #include <netwm.h>
 #endif
 
@@ -124,6 +124,8 @@ const int XKeyRelease = KeyRelease;
 #define DISPLAY "DISPLAY"
 #elif defined(Q_WS_QWS)
 #define DISPLAY "QWS_DISPLAY"
+#else
+#define DISPLAY "MAC_DISPLAY_FILLER" //Bleh --Sam
 #endif
 
 #include <kipc.h>
@@ -137,9 +139,11 @@ bool KApplication::loadedByKdeinit = fal
 DCOPClient *KApplication::s_DCOPClient = 0L;
 bool KApplication::s_dcopClientNeedsPostInit = false;
 
+#ifdef Q_WS_X11
 static Atom atom_DesktopWindow;
 static Atom atom_NetSupported;
 static Atom atom_KdeNetUserTime;
+#endif
 
 template class QPtrList<KSessionManaged>;
 
@@ -381,6 +385,12 @@ extern bool g_bKillAccelOverride;
 
 bool KApplication::notify(QObject *receiver, QEvent *event)
 {
+#ifdef Q_WS_MAC
+    //for now..
+    return QApplication::notify(receiver, event);
+#endif
+
+
     QEvent::Type t = event->type();
     if (g_bKillAccelOverride)
     {
@@ -404,7 +414,7 @@ bool KApplication::notify(QObject *recei
           // We have a keypress for a lineedit...
           QKeyEvent *kevent = static_cast<QKeyEvent *>(event);
           KKey key(kevent);
-          if (_selectAll.contains(key))
+          if (!key.isNull() && _selectAll.contains(key))
           {
              if (t == QEvent::KeyPress)
              {
@@ -417,7 +427,7 @@ bool KApplication::notify(QObject *recei
              }
           }
           // Ctrl-U deletes from start of line.
-          if (key == KKey(Qt::CTRL + Qt::Key_U))
+          if (!key.isNull() && key == KKey(Qt::CTRL + Qt::Key_U))
           {
              if (t == QEvent::KeyPress)
              {
@@ -433,7 +443,6 @@ bool KApplication::notify(QObject *recei
              {
                 kevent->accept();
              }
-
           }
        }
        if (receiver && receiver->inherits("QTextEdit"))
@@ -441,7 +450,8 @@ bool KApplication::notify(QObject *recei
           QTextEdit *medit = static_cast<QTextEdit *>(receiver);
           // We have a keypress for a multilineedit...
           QKeyEvent *kevent = static_cast<QKeyEvent *>(event);
-          if (_selectAll.contains(KKey(kevent)))
+	  KKey key(kevent);
+          if (!key.isNull() && _selectAll.contains(key))
           {
              if (t == QEvent::KeyPress)
              {
@@ -485,11 +495,11 @@ QString KApplication::sessionConfigName(
 #endif
 }
 
-#ifndef Q_WS_QWS
+#ifdef Q_WS_X11
 static SmcConn mySmcConnection = 0;
 static SmcConn tmpSmcConnection = 0;
 #else
-// FIXME(E): Implement for Qt Embedded
+// FIXME(E): Implement for QWS & MAC
 // Possibly "steal" XFree86's libSM?
 #endif
 static QTime* smModificationTime = 0;
@@ -1012,7 +1022,7 @@ void KApplication::commitData( QSessionM
 void KApplication::saveState( QSessionManager& sm )
 {
     d->session_save = true;
-#ifndef Q_WS_QWS
+#ifdef Q_WS_X11
     static bool firstTime = true;
     mySmcConnection = (SmcConn) sm.handle();
 
@@ -1162,7 +1172,7 @@ static const KCmdLineOptions qt_options[
   //FIXME: Check if other options are specific to Qt/X11
 #ifdef Q_WS_X11
    { "display <displayname>", I18N_NOOP("Use the X-server display 'displayname'."), 0},
-#else
+#elif defined(Q_WS_QWS)
    { "display <displayname>", I18N_NOOP("Use the QWS display 'displayname'."), 0},
 #endif
    { "session <sessionId>", I18N_NOOP("Restore the application for the given 'sessionId'."), 0},
@@ -1376,7 +1386,7 @@ KApplication::~KApplication()
   delete d;
   KApp = 0;
 
-#ifndef Q_WS_QWS
+#ifdef Q_WS_X11
   mySmcConnection = 0;
   delete smModificationTime;
   smModificationTime = 0;
@@ -1736,6 +1746,16 @@ QPalette KApplication::createApplication
 
 void KApplication::kdisplaySetPalette()
 {
+#ifdef Q_WS_MAC
+    //Can I have this on other platforms, please!? --Sam
+    {
+	KConfig *config = KGlobal::config();
+	KConfigGroupSaver saver( config, "General" );
+	bool do_not_set_palette = FALSE;
+	if(config->readBoolEntry("nopaletteChange", &do_not_set_palette))
+	    return;
+    }
+#endif
     QApplication::setPalette( createApplicationPalette(), true);
     emit kdisplayPaletteChanged();
     emit appearanceChanged();
@@ -2286,7 +2306,7 @@ void KApplication::setTopWidget( QWidget
 {
   if( topWidget != 0 )
   {
-#ifdef Q_WS_X11 // FIXME(E): Implement for Qt/Embedded
+#ifdef Q_WS_X11
     Window leader = topWidget->winId();
     char* argv = const_cast< char* >( KCmdLineArgs::appName());
     XSetCommand(display, leader, &argv, 1);
@@ -2307,20 +2327,23 @@ void KApplication::setTopWidget( QWidget
         XSetWMHints(display, topWidget->winId(), hints);
         XFree(reinterpret_cast<char *>(hints));
     }
-
+#else
+    // FIXME(E): Implement for QWS & MAC
 #endif
     // set the specified caption
     if ( !topWidget->inherits("KMainWindow") ) { // KMainWindow does this already for us
         topWidget->setCaption( caption() );
-#ifndef Q_WS_QWS // FIXME(E): Implement for Qt/Embedded
+#ifdef Q_WS_X11
         NETWinInfo info(qt_xdisplay(), topWidget->winId(), qt_xrootwin(), NET::WMName );
         info.setName( caption().utf8().data() );
+#else
+	// FIXME(E): Implement for QWS & MAC
 #endif
     }
 
     // set the specified icons
     topWidget->setIcon( icon() ); //standard X11
-#ifdef Q_WS_X11 // FIXME(E): Implement for Qt/Embedded
+#ifdef Q_WS_X11 
     KWin::setIcons(topWidget->winId(), icon(), miniIcon() ); // NET_WM hints for KWin
 
     // set a short icon text
@@ -2328,6 +2351,8 @@ void KApplication::setTopWidget( QWidget
 
     // set the app startup notification window property
     KStartupInfo::setWindowStartupId( topWidget->winId(), startupId());
+#else
+    // FIXME(E): Implement for QWS & MAC
 #endif
   }
 }
@@ -2518,6 +2543,7 @@ bool KApplication::authorizeURLAction(co
 
 uint KApplication::keyboardModifiers()
 {
+#ifdef Q_WS_X11
     Window root;
     Window child;
     int root_x, root_y, win_x, win_y;
@@ -2525,10 +2551,15 @@ uint KApplication::keyboardModifiers()
     XQueryPointer( qt_xdisplay(), qt_xrootwin(), &root, &child,
                    &root_x, &root_y, &win_x, &win_y, &keybstate );
     return keybstate & 0x00ff;
+#else
+    //FIXME: Implement on QWS & MAC
+    return 0;
+#endif
 }
 
 uint KApplication::mouseState()
 {
+#ifdef Q_WS_X11
     Window root;
     Window child;
     int root_x, root_y, win_x, win_y;
@@ -2536,6 +2567,10 @@ uint KApplication::mouseState()
     XQueryPointer( qt_xdisplay(), qt_xrootwin(), &root, &child,
                    &root_x, &root_y, &win_x, &win_y, &keybstate );
     return keybstate & 0xff00;
+#else
+    //FIXME: Implement on QWS & MAC
+    return 0;
+#endif
 }
 
 void KApplication::virtual_hook( int id, void* data )
Index: kdecore/kapplication.h
===================================================================
RCS file: /home/kde/kdelibs/kdecore/kapplication.h,v
retrieving revision 1.285
diff -d -u -p -r1.285 kapplication.h
--- kdecore/kapplication.h	24 Feb 2003 20:43:05 -0000	1.285
+++ kdecore/kapplication.h	5 Mar 2003 05:57:28 -0000
@@ -32,7 +32,7 @@ class DCOPClient;
 class DCOPObject;
 
 typedef unsigned long Atom;
-#ifdef Q_WS_QWS
+#if defined( Q_WS_QWS ) || defined( Q_WS_MAC )
 typedef void Display;
 #endif
 
@@ -110,7 +110,7 @@ public:
    */
   KApplication( bool allowStyles=true, bool GUIenabled=true);
 
-#ifndef Q_WS_QWS
+#if !defined( Q_WS_QWS ) && !defined( Q_WS_MAC )
   /**
    * Constructor. Parses command-line arguments. Use this constructor to use KApplication
    * in a Motif or Xt program.
Index: kdecore/kcmdlineargs.cpp
===================================================================
RCS file: /home/kde/kdelibs/kdecore/kcmdlineargs.cpp,v
retrieving revision 1.75
diff -d -u -p -r1.75 kcmdlineargs.cpp
--- kdecore/kcmdlineargs.cpp	7 Feb 2003 14:52:00 -0000	1.75
+++ kdecore/kcmdlineargs.cpp	5 Mar 2003 05:57:30 -0000
@@ -46,6 +46,8 @@
 #define DISPLAY "DISPLAY"
 #elif defined(Q_WS_QWS)
 #define DISPLAY "QWS_DISPLAY"
+#elif defined(Q_WS_MAC)
+#define DISPLAY "MAC_DISPLAY_FILLER" //Bleh --Sam
 #endif
 
 template class QAsciiDict<QCString>;
@@ -170,12 +172,14 @@ KCmdLineArgs::init(int _argc, char **_ar
       exit(255);
    }
 
+#ifndef Q_WS_MAC
    // Strip path from argv[0]
    if (argc) {
      char *p = strrchr( argv[0], '/');
      if (p)
        argv[0] = p+1;
    }
+#endif
 
    about = _about;
    parsed = false;
